curl --request GET \
--url https://api.avidoai.com/v0/human-annotations \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>'import requests
url = "https://api.avidoai.com/v0/human-annotations"
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-application-id': '<api-key>'}
};
fetch('https://api.avidoai.com/v0/human-annotations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "789e4567-e89b-12d3-a456-426614174000",
"orgId": "org_123456",
"applicationId": "456e7890-e89b-12d3-a456-426614174000",
"traceId": "12345678-1234-1234-1234-1234567890ab",
"verdict": true,
"critique": null,
"annotatorId": "user_789012",
"source": "REVIEW_QUEUE",
"queueItemId": "abcdef01-e89b-12d3-a456-426614174000",
"issueId": null,
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z"
}
],
"pagination": {
"skip": 0,
"limit": 25,
"total": 1,
"totalPages": 1
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}List human annotations
Retrieves a paginated list of human annotations with optional filtering by trace, annotator, source, and verdict
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Query Parameters
Number of items to skip before starting to collect the result set.
0 <= x <= 90071992547409910
Number of items to include in the result set.
1 <= x <= 10025
Field to order the result set by.
createdAt, modifiedAt, verdict, id "createdAt"
Order direction.
asc, desc "desc"
Filter annotations by trace ID
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"12345678-1234-1234-1234-1234567890ab"
Filter annotations by annotator user ID
1 - 256"user_789012"
Filter by annotation source
REVIEW_QUEUE, TRACE_PAGE, TEST_PAGE "REVIEW_QUEUE"
Filter by associated queue item ID
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"abcdef01-e89b-12d3-a456-426614174000"
Filter by verdict (true = pass, false = fail)
true
Filter annotations created on or after this date (inclusive)
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$"2024-01-01T00:00:00.000Z"
Filter annotations created on or before this date (inclusive)
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$"2024-12-31T23:59:59.999Z"